Summary: ne, the nice editor
Name: ne
Version: 1.17
Release: oldncurses
Copyright: GPL
Group: Applications/Editors
Source: http://gongolo.usr.dsi.unimi.it/~vigna/ne-%{version}.tar.gz
Buildroot: /tmp/ne-%{version}
AutoReqProv: no
Requires: ncurses <= 4.2

%description
ne is a free text editor that runs on (hopefully almost) any UN*X machine.
ne is easy to use for the beginner, but powerful and fully configurable for
the wizard, and most sparing in its resource usage.

This version of ne needs the ncurses library contained in the ncurses 4.2 or
previous package. Due to backward-incompatible changes to the TERMINAL
structure, this version of ne will core dump on newer versions of the ncurses
libraries.  Download the latest version of ne instead.
%prep

%setup -q

%build

cd src; make; strip ne

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
install -m 755 ./src/ne $RPM_BUILD_ROOT/usr/bin/ne
install -m 644 ./doc/ne.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 ./doc/ne.info* $RPM_BUILD_ROOT/usr/info

%files
%defattr(-,root,root)
/usr/bin/ne
/usr/man/man1/ne.1
/usr/info/ne.info*
%doc ./doc/*.html
%doc ./doc/ne.texinfo
%doc ./doc/ne.ps
%doc ./doc/ne.txt
%doc ./doc/default.*
%doc ./README
%doc ./CHANGES
%docdir terms
%doc ./terms

%changelog
* Fri Mar 31 2000 Sebastiano Vigna <vigna@dsi.unimi.it>
- Special build for systems with old ncurses
* Tue Jun 1 1999 Sebastiano Vigna <vigna@dsi.unimi.it>
- Final distribution for general consumption
* Mon May 31 1999 Sebastiano Vigna <vigna@dsi.unimi.it>
- Info pages are now gzip'd and go to /usr/info
* Thu May 27 1999 Sebastiano Vigna <vigna@dsi.unimi.it>
- Added man page, made turbo parameter global
* Wed May 26 1999 Sebastiano Vigna <vigna@dsi.unimi.it>
- Minor modifications to the documentation
* Tue May 25 1999 Sebastiano Vigna <vigna@dsi.unimi.it>
- Second ne RPM for version 1.17; now requires glibc
* Thu Oct 29 1998 Sebastiano Vigna <vigna@dsi.unimi.it>
- First ne RPM
